releasing package confclerk version 0.6.4-2
[debian/confclerk.git] / ChangeLog
index 83744ff097614a19e3158840a75766216658d34c..33d67e6d29f7bf7e2c6773a0067051bdc845e03f 100644 (file)
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,5 +1,64 @@
+2017-12-08  gregor herrmann  <gregor@toastfreeware.priv.at>
+
+       update NEWS before release of version 0.6.4
+
+2017-10-07  gregor herrmann  <gregor@toastfreeware.priv.at>
+
+       Make toolbar in main window non-movable
+       to prevent accidentally pulling it out.
+
+2017-10-06  gregor herrmann  <gregor@toastfreeware.priv.at>
+
+       Settings (dialog): add username/password options for proxy server
+       Cf. #59
+
+2017-10-05  gregor herrmann  <gregor@toastfreeware.priv.at>
+
+       update comment on default proxy value as we use QNetworkProxy::ProxyType instead of int now
+
+2017-10-05  Philipp Spitzer  <philipp@spitzer.priv.at>
+
+       AppSettings returns the proxy type as QNetworkProxy instead of int now.
+
+2017-10-05  gregor herrmann  <gregor@toastfreeware.priv.at>
+
+       Settings (dialog): add HTTP+SOCKS5 radio buttons and use them
+       Hopefully fixes: #59
+
+       Add ProxyType setting in preparation of SOCKS5 proxy support.
+
+2017-10-03  gregor herrmann  <gregor@toastfreeware.priv.at>
+
+       Settings dialog: set port range to 1-65535 and right-align.
+
+       Settings dialog: change heading to "HTTP proxy settings".
+       Fixes: #59
+
+2017-10-02  gregor herrmann  <gregor@toastfreeware.priv.at>
+
+       schedulexmlparser.cpp: add missing #include
+       Found when building with gcc 4.2.1 under Maemo5.
+
+2017-10-02  Philipp Spitzer  <philipp@spitzer.priv.at>
+
+       C++98 compatibility: Variable initialization in SqlEngine class.
+
+       C++98 compatibility: Variable initialization in TransactionRaii class.
+
+       C++98 compatibility: Use throw() in destructor of std exceptions.
+
+       C++98 compatibility: QDialogButtonBox::StandardButton::Open -> QDialogButtonBox::Open.
+
+2017-10-02  gregor herrmann  <gregor@toastfreeware.priv.at>
+
+       Make sure we build with -std=c++98 (under Unix and Qt4)
+       because gcc 4.2.1 on Maemo5 doesn't know c++11, and with this setting we can
+       prevent accidents also when building the Qt4 variant with a modern compiler.
+
 2017-10-01  gregor herrmann  <gregor@toastfreeware.priv.at>
 
+       bump version after release
+
        update NEWS before release of version 0.6.3
 
 2017-09-27  Philipp Spitzer  <philipp@spitzer.priv.at>